import { BasicColumn, FormSchema } from '@/components/Table';

export const approvalColumn: BasicColumn[] = [
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数名称',
    dataIndex: 'name',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
  {
    title: '是否必填',
    dataIndex: 'required',
  },
  {
    title: '参数值',
    dataIndex: 'value',
  },
];
export const agreeModelFormSchema: FormSchema[] = [
  {
    label: 'token自动刷新频率',
    field: 'type',
    labelWidth: 150,
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '每小时一次',
          value: '每小时一次',
        },
        {
          label: '每日一次',
          value: '每日一次',
        },
        {
          label: '每月一次',
          value: '每月一次',
        },
      ],
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    label: '审核意见',
    field: 'txt',
    labelWidth: 150,
    component: 'InputTextArea',
    componentProps: {
      rows: 5,
    },
    colProps: { lg: 24, md: 24 },
  },
];
export const rejectFormSchema: FormSchema[] = [
  {
    label: '驳回理由',
    field: 'txt',
    labelWidth: 150,
    required: true,
    component: 'InputTextArea',
    componentProps: {
      rows: 5,
    },
    colProps: { lg: 24, md: 24 },
  },
];
